Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## waba.ui
Class Event

    java.lang.Object
      |
      +--waba.ui.Event

Direct Known Subclasses:
  AnimationEvent, ControlEvent, KeyEvent, PenEvent, ScanEvent

public class Event
extends Object

Event is the base class for all events.

Field Summary
`boolean` | `consumed` Set to true to break the event propagation up to the parents
`Object` | `target` The target of the event.
`int` | `timeStamp` The event's timestamp.
`int` | `type` The type of event.

Constructor Summary
`Event()` Constructs a new event with the current time stamp
`Event(int type, Object target, int timeStamp)` constructs a new event based in the given parameters.

Method Summary
`static int` | `getNextAvailableEventId()` Register a new event with the system.
`static boolean` | `isAvailable()` Returns true if there is an event available in the VM event queue.
`void` | `touch()` Updates the timeStamp parameter with the current time

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, toString, wait, wait`

Field Detail

### type

    public int type

  The type of event.

### target

    public Object target

  The target of the event. For user-interface events, this is the control the event is associated with.

### timeStamp

    public int timeStamp

  The event's timestamp.
  See Also:
    `Vm.getTimeStamp()`

### consumed

    public boolean consumed

  Set to true to break the event propagation up to the parents

Constructor Detail

### Event

    public Event(int type,
                 Object target,
                 int timeStamp)

  constructs a new event based in the given parameters.

### Event

    public Event()

  Constructs a new event with the current time stamp

Method Detail

### touch

    public void touch()

  Updates the timeStamp parameter with the current time

### getNextAvailableEventId

    public static int getNextAvailableEventId()

  Register a new event with the system. Use it to avoid conflict of events created by multiple Applications.

### isAvailable

    public static boolean isAvailable()

  Returns true if there is an event available in the VM event queue.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD